Bug Hunting Session
Bug 114732 - Undo make bullet reappear unexpectedly.
Summary: Undo make bullet reappear unexpectedly.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2017-12-28 13:43 UTC by Mark Hung
Modified: 2018-10-29 17:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (11.85 KB, application/vnd.oasis.opendocument.presentation)
2017-12-28 13:43 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2017-12-28 13:43:35 UTC
Created attachment 138711 [details]
Sample file

Steps to reproduce:
1. Place the cursor at the beginning of the third line ( before "P2" ).
2. Press backspace twice to remove the bullet and connect two lines.
3. Ctrl + Z

Expected result:
Two lines split and the bullet is hidden. One more step is required to recover the bullet.

Actual result:
Two lines split, but the bullet reappear.

Verified with
版本:5.4.0.3
組建 ID:7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Windows 6.2; UI render: 預設; 
語言地區:zh-TW (zh_TW); Calc: group
Comment 1 Aron Budea 2017-12-28 15:19:18 UTC
Confirmed with LO 5.4.4.2 & 3.3.0 / Windows 7.
Crashes in 6.0beta1, 6.0beta2 & 6.0.0.1 if OpenGL is enabled, opened bug 114736 on that.
Comment 2 Commit Notification 2018-01-04 11:24:58 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a16b44481e3c5582dfb581f769e07ab94e8ac44b

tdf#114732 backspace can only make bullet invisible.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-02-05 11:09:30 UTC
A polite ping to Mark Hung: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks